Package org.apache.sysds.runtime.controlprogram.caching

# Class CacheEvictionQueue

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<K,V>
java.util.LinkedHashMap<String,ByteBuffer>
org.apache.sysds.runtime.controlprogram.caching.CacheEvictionQueue

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,ByteBuffer>`

public class CacheEvictionQueue extends LinkedHashMap<String,ByteBuffer>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`CacheEvictionQueue()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addLast(String fname, ByteBuffer bbuff)`
`Map.Entry<String,ByteBuffer>`
`removeFirst()`
`Map.Entry<String,ByteBuffer>`
`removeFirstUnpinned(List<String> pinnedList)`

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

## Constructor Details

### CacheEvictionQueue

public CacheEvictionQueue()

## Method Details

### addLast

public void addLast(String fname, ByteBuffer bbuff)

### removeFirst

public Map.Entry<String,ByteBuffer> removeFirst()

### removeFirstUnpinned

public Map.Entry<String,ByteBuffer> removeFirstUnpinned(List<String> pinnedList)